/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoDomicilioDAO;
import com.rjconsultores.ventaboletos.entidad.TipoDomicilio;
import com.rjconsultores.ventaboletos.service.TipoDomicilioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("tipoDomicilioService")
public class TipoDomicilioServiceImpl implements TipoDomicilioService {

    @Autowired
    private TipoDomicilioDAO tipoDomicilioDAO;

    public List<TipoDomicilio> obtenerTodos() {
        return tipoDomicilioDAO.obtenerTodos();
    }

    public TipoDomicilio obtenerID(Integer id) {
        return tipoDomicilioDAO.obtenerID(id);
    }

    @Transactional
    public TipoDomicilio suscribir(TipoDomicilio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoDomicilioDAO.suscribir(entidad);
    }

    @Transactional
    public TipoDomicilio actualizacion(TipoDomicilio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoDomicilioDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoDomicilio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoDomicilioDAO.actualizacion(entidad);
    }

    public List<TipoDomicilio> buscar(String desctipo, String cvetipodomicilio) {
        return tipoDomicilioDAO.buscar(desctipo, cvetipodomicilio);
    }

    public List<TipoDomicilio> buscarClave(String cvetipodomicilio) {
        return tipoDomicilioDAO.buscarClave(cvetipodomicilio);
    }
}
